#div-1 {
    background-color: green;
    display: block;
}
/* Span is inline */
#span-1 {
    background-color: purple;
    display: inline;
    width: 200px;
    height: 200px;
}

#span-2 {
    background-color: red;
    display: block;
}

#div-2 {
    background-color: hotpink;
    display: none;
}

/* IMG element is inline-block */
#img {
    width: 250px;
    height: 250px;
    display: inline-block;
}


/* sample hex code property value */
#p-1 {
    background-color: #87CEFA;  
}


/* sample of RGB property value */
#p-2 {
    background-color: rgb(255, 105, 180);
    width: 60%;
}

#p-3 {
    background-color: yellow;
    width: 40%;
}

.sample {
    display: inline-block;
    width: 30%;
    /* border: thickness | border type | color */
    border: 1px solid black;
    text-align: center;
}

.box {
    background-color: rgb(61, 121, 149);
    border: 1px solid black;
    margin: 5px;
}

.fifty-percent {
    width: 50%;
}

.one-hudred-pixel {
    width: 100px;
}

.parent {
    width: 135px;
    border: 2px solid navy;
    font-size: 30px;
}

/* vw -viewport width */
.fifty-vw {
    width: 50vw;
}

/* VH - viewport height */
.twenty-five-vh {
    height: 25vh;
}


/* root element  - by default 16px */
.one-rem {
    font-size: 1rem;
}

/* parent element */
.one-em {
    font-size: 1em;
}

.two-rem {
    font-size: 2rem;
}

.two-em {
    font-size: 2em;
}

.two-hundred-percent {
    font-size: 200%;
}


/* Background Properties */

.background {
    min-height: 100vh;
    /* background-color: gray; */
    background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
    background-repeat: no-repeat;
    /* Other syntaxes using background-size: ("auto","cover","contain")*/
    background-size: 100%;
    background-position: center top;
    background-attachment: fixed;
}

.bg-title {
    color: white;
    text-align: center;
    font-size: 5em;
    margin: 0;
    line-height: 35rem;
}

.container-bg {
    background-color: rgba(0, 0, 0, 0.5);
    min-height: 100vh;
}

.parent-element {
    background-color: skyblue;
    padding: 10px;
    position: relative;
    height: 800vh;
}

.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;
    position: sticky;
    top: 10px;
}

.child-three {
    background-color: gray;
    padding: 10px;
}

html {
    height: 800vh;
}


/* Z index */

.container {
    position: relative;
}

.black-box {
    position: relative;
    z-index: 1;
    border: 2px solid black;
    height: 100px;
    margin: 30px;
}

.gray-box {
    position: absolute;
    z-index: 3;
    background-color: lightgray;
    height: 60px;
    width: 70%;
    left: 50px;
    top: 50px;
}

.green-box {
    position: absolute;
    z-index: 2;
    background-color: lightgreen;
    width: 35%;
    left: 270px;
    top: -15px;
    height: 100px;
}